Skip to main content
POST
CSharp (SDK)

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Corpo

application/json
name
string
obrigatório
Required string length: 1 - 255
suite_id
string
obrigatório
Minimum string length: 1
run
object
obrigatório
description
string
Maximum string length: 10000
suite_version
integer

Fixar uma versão da suíte. Omitir para resolver a versão ativa em cada disparo.

Intervalo obrigatório: 1 <= x <= 2147483647
cron
string

Expressão cron de 5 campos. Forneça exatamente um de cron ou interval_seconds.

Required string length: 1 - 255
interval_seconds
integer

Intervalo fixo entre os incêndios, em segundos. Forneça exatamente um dos cron ou interval_seconds.

Intervalo obrigatório: 60 <= x <= 31536000
timezone
string
padrão:UTC

Fuso horário IANA aplicado a expressões cron, por exemplo, EUA/Pacífico.

Required string length: 1 - 64
overlap_policy
enum<string>
padrão:skip
Opções disponíveis:
skip,
buffer_one,
allow_all
enabled
boolean
padrão:true

Quando falso, o cronograma é criado pausado.

webhook_url
string<uri>

Ponto de extremidade HTTPS notificado sobre transições de status de execução.

Maximum string length: 2048
webhook_secret
string

Segredo usado para assinar cargas úteis de webhook com HMAC-SHA256.

Required string length: 16 - 256
metadata
object

Resposta

200 - application/json

OK

id
string
obrigatório
object
any
obrigatório
name
string
obrigatório
description
string | null
obrigatório
suite_id
string
obrigatório
suite_version
integer | null
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
cron
string | null
obrigatório
interval_seconds
integer | null
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
timezone
string
obrigatório
overlap_policy
enum<string>
obrigatório
Opções disponíveis:
skip,
buffer_one,
allow_all
enabled
boolean
obrigatório
webhook_url
string | null
obrigatório
webhook_configured
boolean
obrigatório

True when a signing secret is stored. The secret itself is never returned.

run
object
obrigatório
metadata
object
obrigatório
last_run_id
string | null
obrigatório
last_run_at
integer | null
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
last_run_status
string | null
obrigatório
next_run_at
integer | null
obrigatório

Next scheduled fire time from Temporal, when resolvable.

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
created_at
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
updated_at
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991